Debian Bug report logs - #636609
perl: FTBFS on hurd-i386

version graph

Package: perl; Maintainer for perl is Niko Tyni <ntyni@debian.org>; Source for perl is src:perl.

Reported by: Pino Toscano <pino@debian.org>

Date: Thu, 4 Aug 2011 15:03:02 UTC

Severity: important

Tags: patch

Found in version perl/5.12.4-1

Fixed in versions 5.12.4-3, perl/5.14.1-2

Done: Dominic Hargreaves <dom@earth.li>

Bug is archived. No further changes may be made.

Forwarded to https://rt.perl.org/rt3/Public/Bug/Display.html?id=102516

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#636609; Package perl. (Thu, 04 Aug 2011 15:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@debian.org>:
New Bug report received and forwarded. Copy sent to Niko Tyni <ntyni@debian.org>. (Thu, 04 Aug 2011 15:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: perl: FTBFS on hurd-i386
Date: Thu, 04 Aug 2011 17:00:24 +0200
[Message part 1 (text/plain, inline)]
Package: perl
Version: 5.12.4-1
Severity: important
Tags: patch
User: debian-hurd@lists.debian.org
Usertags: hurd

Hi,

currently[1], perl does not compile, because it cannot find the
Berkeley DB library.

The attached patch adds hints for ext/ODBM_File, and improving the
general "gnu" hints, copying a couple of stuff which makes sense from
the linux.pl hints, like the library patch search, the pthread linking
(needed on hurd).
(Most probably the same patch could be applied to perl 5.14 too,
although I have not tested it.)

[1] https://buildd.debian.org/status/fetch.php?pkg=perl&arch=hurd-i386&ver=5.12.4-2&stamp=1312288288

Thanks,
-- 
Pino
[hurd.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#636609; Package perl. (Fri, 05 Aug 2011 09:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. (Fri, 05 Aug 2011 09:21:08 GMT) Full text and rfc822 format available.

Message #10 received at 636609@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: Pino Toscano <pino@debian.org>, 636609@bugs.debian.org
Subject: Re: Bug#636609: perl: FTBFS on hurd-i386
Date: Fri, 5 Aug 2011 12:17:09 +0300
On Thu, Aug 04, 2011 at 05:00:24PM +0200, Pino Toscano wrote:
> Package: perl
> Version: 5.12.4-1
> Severity: important
> Tags: patch
> User: debian-hurd@lists.debian.org
> Usertags: hurd

> The attached patch adds hints for ext/ODBM_File, and improving the
> general "gnu" hints, copying a couple of stuff which makes sense from
> the linux.pl hints, like the library patch search, the pthread linking
> (needed on hurd).

Thanks.

The other things look fine to me, but about this one:

> +libswanted="$libswanted pthread"

hints/gnu.sh already has

set `echo X "$libswanted "| sed -e 's/ nsl / /' -e 's/ c / pthread /'`

which to my eye looks pthread already ends up in libswanted (because
Configure includes 'c' there unconditionally.) Isn't this enough? Is
it broken? Does pthread need to be the last library in the list?

(If this is related to the libdb_needs_pthread block in hints/linux.sh,
 the whole libdb.so test probably needs to be copied into gnu.sh too
 for upstreaming this properly.)
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#636609; Package perl. (Fri, 05 Aug 2011 10:22:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@debian.org>:
Extra info received and forwarded to list. Copy sent to Niko Tyni <ntyni@debian.org>. (Fri, 05 Aug 2011 10:22:36 GMT) Full text and rfc822 format available.

Message #15 received at 636609@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@debian.org>
To: Niko Tyni <ntyni@debian.org>
Cc: 636609@bugs.debian.org
Subject: Re: Bug#636609: perl: FTBFS on hurd-i386
Date: Fri, 5 Aug 2011 12:21:07 +0200
[Message part 1 (text/plain, inline)]
Alle venerdì 5 agosto 2011, Niko Tyni ha scritto:
> On Thu, Aug 04, 2011 at 05:00:24PM +0200, Pino Toscano wrote:
> > Package: perl
> > Version: 5.12.4-1
> > Severity: important
> > Tags: patch
> > User: debian-hurd@lists.debian.org
> > Usertags: hurd
> > 
> > The attached patch adds hints for ext/ODBM_File, and improving the
> > general "gnu" hints, copying a couple of stuff which makes sense
> > from the linux.pl hints, like the library patch search, the
> > pthread linking (needed on hurd).
> 
> Thanks.
> 
> The other things look fine to me, but about this one:
> > +libswanted="$libswanted pthread"
> 
> hints/gnu.sh already has
> 
> set `echo X "$libswanted "| sed -e 's/ nsl / /' -e 's/ c / pthread
> /'`
> 
> which to my eye looks pthread already ends up in libswanted (because
> Configure includes 'c' there unconditionally.) Isn't this enough?

To be honest that part gave me a small doubt, so I decided to put it 
anyway. I'll trust you in that, so that pthread addition in my patch can 
go.

Thanks,
-- 
Pino Toscano
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#636609; Package perl. (Tue, 09 Aug 2011 18:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Niko Tyni <ntyni@debian.org>. (Tue, 09 Aug 2011 18:15:03 GMT) Full text and rfc822 format available.

Message #20 received at 636609@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 636609@bugs.debian.org
Subject: Re: Bug#636609: perl: FTBFS on hurd-i386
Date: Tue, 9 Aug 2011 20:12:58 +0200
The issue has become particularly important since newer libc breaks old
perl...

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#636609; Package perl. (Wed, 10 Aug 2011 05:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. (Wed, 10 Aug 2011 05:21:03 GMT) Full text and rfc822 format available.

Message #25 received at 636609@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: Samuel Thibault <sthibault@debian.org>, 636609@bugs.debian.org
Subject: Re: Bug#636609: perl: FTBFS on hurd-i386
Date: Wed, 10 Aug 2011 08:19:48 +0300
On Tue, Aug 09, 2011 at 08:12:58PM +0200, Samuel Thibault wrote:
> The issue has become particularly important since newer libc breaks old
> perl...

Ah, that's unfortunate. Thanks for the note, I'll upload a fixed perl soon.
-- 
Niko Tyni   ntyni@debian.org




Reply sent to Niko Tyni <ntyni@debian.org>:
You have taken responsibility. (Wed, 10 Aug 2011 12:02:41 GMT) Full text and rfc822 format available.

Notification sent to Pino Toscano <pino@debian.org>:
Bug acknowledged by developer. (Wed, 10 Aug 2011 12:02:54 GMT) Full text and rfc822 format available.

Message #30 received at 636609-done@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 636609-done@bugs.debian.org
Subject: fixed in perl 5.12.4-3
Date: Wed, 10 Aug 2011 14:57:36 +0300
Version: 5.12.4-3

Looks like I forgot to include the bug number in the changelog.
Closing manually.
-- 
Niko Tyni   ntyni@debian.org




Reply sent to Dominic Hargreaves <dom@earth.li>:
You have taken responsibility. (Thu, 11 Aug 2011 19:06:08 GMT) Full text and rfc822 format available.

Notification sent to Pino Toscano <pino@debian.org>:
Bug acknowledged by developer. (Thu, 11 Aug 2011 19:06:08 GMT) Full text and rfc822 format available.

Message #35 received at 636609-close@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 636609-close@bugs.debian.org
Subject: Bug#636609: fixed in perl 5.14.1-2
Date: Thu, 11 Aug 2011 19:03:47 +0000
Source: perl
Source-Version: 5.14.1-2

We believe that the bug you reported is fixed in the latest version of
perl, which is due to be installed in the Debian FTP archive:

libcgi-fast-perl_5.14.1-2_all.deb
  to main/p/perl/libcgi-fast-perl_5.14.1-2_all.deb
libperl-dev_5.14.1-2_i386.deb
  to main/p/perl/libperl-dev_5.14.1-2_i386.deb
libperl5.14_5.14.1-2_i386.deb
  to main/p/perl/libperl5.14_5.14.1-2_i386.deb
perl-base_5.14.1-2_i386.deb
  to main/p/perl/perl-base_5.14.1-2_i386.deb
perl-debug_5.14.1-2_i386.deb
  to main/p/perl/perl-debug_5.14.1-2_i386.deb
perl-doc_5.14.1-2_all.deb
  to main/p/perl/perl-doc_5.14.1-2_all.deb
perl-modules_5.14.1-2_all.deb
  to main/p/perl/perl-modules_5.14.1-2_all.deb
perl_5.14.1-2.debian.tar.gz
  to main/p/perl/perl_5.14.1-2.debian.tar.gz
perl_5.14.1-2.dsc
  to main/p/perl/perl_5.14.1-2.dsc
perl_5.14.1-2_i386.deb
  to main/p/perl/perl_5.14.1-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 636609@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominic Hargreaves <dom@earth.li> (supplier of updated perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 11 Aug 2011 18:28:44 +0100
Source: perl
Binary: perl-base libcgi-fast-perl perl-doc perl-modules perl-debug libperl5.14 libperl-dev perl
Architecture: source all i386
Version: 5.14.1-2
Distribution: experimental
Urgency: low
Maintainer: Niko Tyni <ntyni@debian.org>
Changed-By: Dominic Hargreaves <dom@earth.li>
Description: 
 libcgi-fast-perl - CGI::Fast Perl module
 libperl-dev - Perl library: development files
 libperl5.14 - shared Perl library
 perl       - Larry Wall's Practical Extraction and Report Language
 perl-base  - minimal Perl system
 perl-debug - debug-enabled Perl interpreter
 perl-doc   - Perl documentation
 perl-modules - Core Perl modules
Closes: 627821 635647 636609 637376
Changes: 
 perl (5.14.1-2) experimental; urgency=low
 .
   * Promote libclass-isa-perl and libswitch-perl from Recommends to
     Depends, to improve partial upgrades from squeeze to wheezy
     (see: #629472)
   * Demote libpod-plainer-perl from Recommends to Suggests, based on
     analysis of its usage in Debian (see: #629472)
   * Skip a crashing test case in t/op/threads.t on GNU/kFreeBSD
     (see: #628493, thanks Niko)
   * Apply patch from Niko documenting the correct use of CCFLAGS in
     ExtUtils::MakeMaker (see: #628522)
   * Use a socket timeout on GNU/kFreeBSD to catch ICMP port unreachable
     messages (thanks, Niko) (Closes: #627821)
   * Fix decode_xs n-byte heap-overflow security bug in Unicode.xs
     (Closes: #637376)
   * Improve general GNU hints, fixing build failures on GNU/Hurd. Patch by
     Pino Toscano. (Closes: #636609)
   * Merge 5.12.4-3 and 5.12.4-4 from unstable
   * Fix lintian error by build-depending on procps [!hurd-any] rather
     than procps | hurd (and adjust existing [!hurd-i386] to
     [!hurd-any]) (Closes: #635647)
Checksums-Sha1: 
 b5994cbb4ec01e2f2bfe8270902ea43079c27699 1419 perl_5.14.1-2.dsc
 23ee15c1502aa6324a1ee6ca69068d0b0ce62808 117035 perl_5.14.1-2.debian.tar.gz
 8742d9b38c485ac92082dc9b713d939730bd06fe 71658 libcgi-fast-perl_5.14.1-2_all.deb
 3ce67dc300f1c5e6b0df12c8df0ce9b0547dd40c 8154512 perl-doc_5.14.1-2_all.deb
 f7725d0c506ffb948e013f03c920da76c68d4fbb 3437340 perl-modules_5.14.1-2_all.deb
 cc8daa659839dd92cdcdb79683089be0fde250ae 1481378 perl-base_5.14.1-2_i386.deb
 6138f9efb830278e837a39cfcab92f2136f0a014 7755696 perl-debug_5.14.1-2_i386.deb
 92dc2f4caa73c633e75e1b2d8744c143dd85d3ca 724676 libperl5.14_5.14.1-2_i386.deb
 260240275ca132ce2be8e6f3bc963e71f74f178f 2678000 libperl-dev_5.14.1-2_i386.deb
 b27f6ca2a53fd9d4886b5edd2c97e698a32018fc 3696886 perl_5.14.1-2_i386.deb
Checksums-Sha256: 
 066d08d81dae467791f34a0aaca86fee16b567dd914ea9be6236b04fc1792986 1419 perl_5.14.1-2.dsc
 53f801c6e110687673f4a84d633f1705044800df7e008a00904f65e13588e602 117035 perl_5.14.1-2.debian.tar.gz
 3536157dc9bf85ac59152d21f8bda05ba792325fda9afe2f73c3f41532ce2730 71658 libcgi-fast-perl_5.14.1-2_all.deb
 e41993d38f0cd747503aa97ea1a7a3a5eb7c8d8dc0405ea03de9d7432bb5c8d8 8154512 perl-doc_5.14.1-2_all.deb
 91d5f9f8191ad3993e02bae70aadfefb7acfee4ed4ba772a225ae188b517a6fc 3437340 perl-modules_5.14.1-2_all.deb
 ff3dcaf044030b2d4b2eda1b43958fcf05000bd85afd415c24253b6e80299fc2 1481378 perl-base_5.14.1-2_i386.deb
 8e648a76ef20f1ec6ff6ba6fe6966fbb3386883eccc2ebc113173a694b056850 7755696 perl-debug_5.14.1-2_i386.deb
 eb65926365d24e7060ad810b5dae04bd0aaa8d414f2e99ac307563771f6d33ab 724676 libperl5.14_5.14.1-2_i386.deb
 630d794ff7a8abd0a9edfc9482bc8ad8e3a8f704253e21cf18cda44dc1db8f8b 2678000 libperl-dev_5.14.1-2_i386.deb
 44770a0fd600feb16aff04cb1f255bff793a8f4820679f846d02cb599f288d92 3696886 perl_5.14.1-2_i386.deb
Files: 
 7fd590ae59dc6d1f9445408ee0408687 1419 perl standard perl_5.14.1-2.dsc
 97f74e154808deba8722696ebf44192a 117035 perl standard perl_5.14.1-2.debian.tar.gz
 b60b86f3f9e7eacab112fa19775753db 71658 perl optional libcgi-fast-perl_5.14.1-2_all.deb
 f2e66fff83a0c6f524e166eb62bfec08 8154512 doc optional perl-doc_5.14.1-2_all.deb
 1a4d48f26cc359f75fff6157e671e1db 3437340 perl standard perl-modules_5.14.1-2_all.deb
 fca1ece69a8e0617e40716dee63da131 1481378 perl required perl-base_5.14.1-2_i386.deb
 8d990e80135e76eb32d788c94094cda1 7755696 debug extra perl-debug_5.14.1-2_i386.deb
 2c61360619b07a07d221de1bddc216c4 724676 libs optional libperl5.14_5.14.1-2_i386.deb
 0f613dd41d7f613d48a00fcced4eee47 2678000 libdevel optional libperl-dev_5.14.1-2_i386.deb
 ad58070e9e793a2180a8df866839c645 3696886 perl standard perl_5.14.1-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFORCFMYzuFKFF44qURAo0lAJ9n+ZmoK3hjHiSsq5RG30bu/G1RdwCdHMTV
KjQYVYcU30XRwVPcDvTIjpI=
=Yhja
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 09 Sep 2011 07:29:22 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 30 Oct 2011 22:51:03 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://rt.perl.org/rt3/Public/Bug/Display.html?id=102516'. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 30 Oct 2011 22:51:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 30 Oct 2011 22:51:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:12:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.